petsc-3.12.4 2020-02-04
Report Typos and Errors

# VecInitializePackage

This function initializes everything in the Vec package. It is called from PetscDLLibraryRegister_petscvec() when using dynamic libraries, and on the first call to VecCreate() when using shared or static libraries.

### Synopsis

    PetscErrorCode  VecInitializePackage(void)

### See Also

PetscInitialize()

### Level

developer

### Location

src/vec/vec/interface/dlregisvec.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages